// https://umijs.org/config/
import { defineConfig } from 'umi';
import WebpackWindiCSSPlugin from 'windicss-webpack-plugin/dist/index'
export default defineConfig({
  plugins: [
    // https://github.com/zthxxx/react-dev-inspector
    'react-dev-inspector/plugins/umi/react-inspector',
  ],
  // https://github.com/zthxxx/react-dev-inspector#inspector-loader-props
  inspectorConfig: {
    exclude: [],
    babelPlugins: ["@babel/plugin-proposal-logical-assignment-operators", "@babel/plugin-proposal-optional-chaining", "@babel/plugin-proposal-nullish-coalescing-operator"],
    babelOptions: {},
  },
  chainWebpack(config) {
    config.plugin('clearn').use(WebpackWindiCSSPlugin, [
      {
        scan: {
          dirs: ['./'],
          exclude: ['node_modules', '.git', 'dist', 'mock', '.umi']
        }
      }
    ])
  },
  webpack5: {
    // lazyCompilation: {},
  },
});
